> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/powershell-commands/import-dpsencryptionkeys.md).

# Import-DPSEncryptionKeys

Import-DPSEncryptionKeys applies new encryption keys generated by Export-DPSEncryptionKeys to a Devolutions Server database instance.

### Synopsis

Apply new encryption keys on the database of the a Devolutions Server instance

### Syntax

#### \_\_AllParameterSets

```
Import-DPSEncryptionKeys [-ApplicationPath] <string> [-Filename] <string> [[-Password] <PSPassword>]
 [-WhatIf] [-Confirm] [<CommonParameters>]
```

### Description

Apply new encryption keys on the database of the a Devolutions Server instance. The encryption keys file should be generated from Export-DPSEncryptionKeys. A backup of the SQL database should be done before this operation. All users must be in offline mode or disconnected from the Devolutions Server workspace to avoid data loss.

### Examples

**On a Windows OS**

```powershell
PS C:\> $existingDVLSInstance = 'C:\my\path\dvlsInstance\'
PS C:\> $destination = 'C:\other\path\encryption.config'
PS C:\> Export-DPSEncryptionKeys -ApplicationPath $existingDVLSInstance -Destination $destination
```

**On a Linux OS, while creating a new DLVS instance using the same database** PS home/user/linuxDlvsInstance> $newDvlsInstance = '/home/user/linuxDlvsInstance' PS home/user/linuxDlvsInstance> $keysToImport = '/path/to/encryption.config' PS home/user/linuxDlvsInstance> Import-DPSEncryptionKeys -ApplicationPath $newDvlsInstance -Filename $keysToImport

Export the encryption keys from a Windows DVLS. Use those keys when creating a new DVLS instance using the same database.

### Parameters

#### -ApplicationPath

Directory of the application

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Confirm

Prompts you for confirmation before running the cmdlet.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- cf
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Filename

Encryption keys file to import

```yaml
Type: System.String
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 1
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -Password

Password to access the encryption keys file

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSPassword
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 2
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### -WhatIf

Shows what would happen if the cmdlet runs. The cmdlet is not run.

```yaml
Type: System.Management.Automation.SwitchParameter
DefaultValue: False
SupportsWildcards: false
Aliases:
- wi
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notes

For more information, type "Get-Help Import-DPSEncryptionKeys -detailed". For technical information, type "Get-Help Import-DPSEncryptionKeys -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/powershell-commands/import-dpsencryptionkeys.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
